libzypp: zypp::target::rpm::KeyRingSignalReceiver Struct Reference

libzypp 17.38.7

zypp::target::rpm::KeyRingSignalReceiver Struct Reference
Inheritance diagram for zypp::target::rpm::KeyRingSignalReceiver:

## Public Member Functions
| KeyRingSignalReceiver (RpmDb &rpmdb)
| KeyRingSignalReceiver (const KeyRingSignalReceiver &)=delete
| KeyRingSignalReceiver (KeyRingSignalReceiver &&)=delete
KeyRingSignalReceiver & | operator= (const KeyRingSignalReceiver &)=delete
KeyRingSignalReceiver & | operator= (KeyRingSignalReceiver &&)=delete
| ~KeyRingSignalReceiver () override
void | trustedKeyAdded (const PublicKey &key) override
void | trustedKeyRemoved (const PublicKey &key) override
Public Member Functions inherited from zypp::callback::ReceiveReport< KeyRingSignals >
virtual | ~ReceiveReport ()
ReceiveReport * | whoIsConnected () const
bool | connected () const
void | connect ()
void | disconnect ()
virtual void | reportbegin ()
virtual void | reportend ()
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Public Attributes
RpmDb & | _rpmdb

## Additional Inherited Members
Public Types inherited from zypp::callback::ReceiveReport< KeyRingSignals >
typedef KeyRingSignals | ReportType
typedef ReceiveReport< KeyRingSignals > | Receiver
typedef DistributeReport< KeyRingSignals > | Distributor
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Detailed Description

Definition at line 154 of file RpmDb.cc.

## Constructor & Destructor Documentation

## ◆ KeyRingSignalReceiver() [1/3]

zypp::target::rpm::KeyRingSignalReceiver::KeyRingSignalReceiver | ( | RpmDb & | rpmdb | ) |
| inline

Definition at line 156 of file RpmDb.cc.

## ◆ KeyRingSignalReceiver() [2/3]

zypp::target::rpm::KeyRingSignalReceiver::KeyRingSignalReceiver | ( | const KeyRingSignalReceiver & |  | ) |
| delete

## ◆ KeyRingSignalReceiver() [3/3]

zypp::target::rpm::KeyRingSignalReceiver::KeyRingSignalReceiver | ( | KeyRingSignalReceiver && |  | ) |
| delete

## ◆ ~KeyRingSignalReceiver()

zypp::target::rpm::KeyRingSignalReceiver::~KeyRingSignalReceiver | ( |  | ) |
| inlineoverride

Definition at line 162 of file RpmDb.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

KeyRingSignalReceiver & zypp::target::rpm::KeyRingSignalReceiver::operator= | ( | const KeyRingSignalReceiver & |  | ) |
| delete

## ◆ operator=() [2/2]

KeyRingSignalReceiver & zypp::target::rpm::KeyRingSignalReceiver::operator= | ( | KeyRingSignalReceiver && |  | ) |
| delete

## ◆ trustedKeyAdded()

void zypp::target::rpm::KeyRingSignalReceiver::trustedKeyAdded | ( | const PublicKey & | key | ) |
| inlineoverridevirtual

Reimplemented from zypp::KeyRingSignals.

Definition at line 167 of file RpmDb.cc.

## ◆ trustedKeyRemoved()

void zypp::target::rpm::KeyRingSignalReceiver::trustedKeyRemoved | ( | const PublicKey & | key | ) |
| inlineoverridevirtual

Reimplemented from zypp::KeyRingSignals.

Definition at line 173 of file RpmDb.cc.

## Member Data Documentation

## ◆ _rpmdb

RpmDb& zypp::target::rpm::KeyRingSignalReceiver::_rpmdb

Definition at line 179 of file RpmDb.cc.

The documentation for this struct was generated from the following file:

- zypp/target/rpm/RpmDb.cc